#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xB8,0x11,0xD7,0xED,0xB8,0xE1,0xB9,0x8D,0x01,0x91,0xBD,0xA3,
		0x83,0x16,0x54,0x97,0xE7,0xB8,0xAF,0xF2,0x0D,0xCB,0x95,0x6A,
		0x0B,0x7D,0xF1,0xA3,0x26,0xFA,0x57,0x90,0x6E,0x5C,0x95,0x44,
		0x4F,0x5A,0xAA,0x48,0x8D,0x7B,0x09,0x35,0x17,0x04,0xE4,0xB3,
		0x44,0xC8,0xA3,0x27,0xCF,0x81,0xDE,0xB2,0x10,0x38,0xF3,0x1B,
		0xD9,0xA3,0x44,0xE7,
		};
	static unsigned char dh512_g[]={
		0x05,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
